<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlInterChirpBlkCtrlCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlInterChirpBlkCtrlCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Inter Chirp block control configuration.  
 <a href="structrl_inter_chirp_blk_ctrl_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ae37a22098d53c31feb2b46fbcaaab155"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae37a22098d53c31feb2b46fbcaaab155"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#ae37a22098d53c31feb2b46fbcaaab155">rx02RfTurnOffTime</a></td></tr>
<tr class="memdesc:ae37a22098d53c31feb2b46fbcaaab155"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time to wait after ramp end before turning off RX0 and RX2 RF stages. <br />
 1 LSB = 10 ns <br />
 Valid range: -1024 to 1023 <br />
. <br /></td></tr>
<tr class="separator:ae37a22098d53c31feb2b46fbcaaab155"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad70ad02335453e811330f18a9405636b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad70ad02335453e811330f18a9405636b"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#ad70ad02335453e811330f18a9405636b">rx13RfTurnOffTime</a></td></tr>
<tr class="memdesc:ad70ad02335453e811330f18a9405636b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time to wait after ramp end before turning off RX1 and RX3 RF stages. <br />
 1 LSB = 10 ns <br />
 Valid range: -1024 to 1023 <br />
. <br /></td></tr>
<tr class="separator:ad70ad02335453e811330f18a9405636b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10e2a71074f0dcb605b950869223532e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a10e2a71074f0dcb605b950869223532e"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#a10e2a71074f0dcb605b950869223532e">rx02BbTurnOffTime</a></td></tr>
<tr class="memdesc:a10e2a71074f0dcb605b950869223532e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time to wait after ramp end before turning off RX0 and RX2 baseband stages. <br />
 1 LSB = 10 ns <br />
 Valid range: -1024 to 1023 <br />
. <br /></td></tr>
<tr class="separator:a10e2a71074f0dcb605b950869223532e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48ad3f84909e25457aabee985ea79d39"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48ad3f84909e25457aabee985ea79d39"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#a48ad3f84909e25457aabee985ea79d39">rx12BbTurnOffTime</a></td></tr>
<tr class="memdesc:a48ad3f84909e25457aabee985ea79d39"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time to wait after ramp end before turning off RX1 and RX3 baseband stages. <br />
 1 LSB = 10 ns <br />
 Valid range: -1024 to 1023 <br />
. <br /></td></tr>
<tr class="separator:a48ad3f84909e25457aabee985ea79d39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3295e681694a11e981c885d9bb2d394e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3295e681694a11e981c885d9bb2d394e"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#a3295e681694a11e981c885d9bb2d394e">rx02RfPreEnTime</a></td></tr>
<tr class="memdesc:a3295e681694a11e981c885d9bb2d394e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time before TX Start Time when RX0 and RX2 RF stages are to be put in fast-charge state. <br />
 1 LSB = 10 ns <br />
 Valid range: -1024 to 1023 <br />
. <br /></td></tr>
<tr class="separator:a3295e681694a11e981c885d9bb2d394e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5211202d5f89740d84eec285da84d794"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5211202d5f89740d84eec285da84d794"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#a5211202d5f89740d84eec285da84d794">rx13RfPreEnTime</a></td></tr>
<tr class="memdesc:a5211202d5f89740d84eec285da84d794"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time before TX Start Time when RX1 and RX3 RF stages are to be put in fast-charge state. <br />
 1 LSB = 10 ns <br />
 Valid range: -1024 to 1023 <br />
. <br /></td></tr>
<tr class="separator:a5211202d5f89740d84eec285da84d794"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8001769220a0050c2e3427031f129269"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8001769220a0050c2e3427031f129269"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#a8001769220a0050c2e3427031f129269">rx02BbPreEnTime</a></td></tr>
<tr class="memdesc:a8001769220a0050c2e3427031f129269"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time before TX Start Time when RX0 and RX2 baseband stages are to be put in fast-charge state. <br />
 1 LSB = 10 ns <br />
 Valid range: -1024 to 1023 <br />
. <br /></td></tr>
<tr class="separator:a8001769220a0050c2e3427031f129269"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a644621840f14fd11e1b88b6ee4e99237"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a644621840f14fd11e1b88b6ee4e99237"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#a644621840f14fd11e1b88b6ee4e99237">rx13BbPreEnTime</a></td></tr>
<tr class="memdesc:a644621840f14fd11e1b88b6ee4e99237"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time before TX Start Time when RX1 and RX3 baseband stages are to be put in fast-charge state. <br />
 1 LSB = 10 ns <br />
 Valid range: -1024 to 1023 <br />
. <br /></td></tr>
<tr class="separator:a644621840f14fd11e1b88b6ee4e99237"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac996b1fde7365cad87fcb96b955a66e4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac996b1fde7365cad87fcb96b955a66e4"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#ac996b1fde7365cad87fcb96b955a66e4">rx02RfTurnOnTime</a></td></tr>
<tr class="memdesc:ac996b1fde7365cad87fcb96b955a66e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time before TX Start Time when RX0 and RX2 RF stages are to be enabled. <br />
 1 LSB = 10 ns <br />
 Valid range: -1024 to 1023 <br />
. <br /></td></tr>
<tr class="separator:ac996b1fde7365cad87fcb96b955a66e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27f730ea10262c950d985c21ccc401ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a27f730ea10262c950d985c21ccc401ec"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#a27f730ea10262c950d985c21ccc401ec">rx13RfTurnOnTime</a></td></tr>
<tr class="memdesc:a27f730ea10262c950d985c21ccc401ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time before TX Start Time when RX1 and RX3 RF stages are to be enabled. <br />
 1 LSB = 10 ns <br />
 Valid range: -1024 to 1023 <br />
. <br /></td></tr>
<tr class="separator:a27f730ea10262c950d985c21ccc401ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9d8e73f9a7f9f8c36e0dcc4c5faf199"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab9d8e73f9a7f9f8c36e0dcc4c5faf199"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#ab9d8e73f9a7f9f8c36e0dcc4c5faf199">rx02BbTurnOnTime</a></td></tr>
<tr class="memdesc:ab9d8e73f9a7f9f8c36e0dcc4c5faf199"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time before TX Start Time when RX0 and RX2 baseband stages are to be enabled. <br />
 1 LSB = 10 ns <br />
 Valid range: -1024 to 1023 <br />
. <br /></td></tr>
<tr class="separator:ab9d8e73f9a7f9f8c36e0dcc4c5faf199"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69a84f963e78b6e3ccd8608cea625d78"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a69a84f963e78b6e3ccd8608cea625d78"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#a69a84f963e78b6e3ccd8608cea625d78">rx13BbTurnOnTime</a></td></tr>
<tr class="memdesc:a69a84f963e78b6e3ccd8608cea625d78"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time before TX Start Time when RX1 and RX3 baseband stages are to be enabled. <br />
 1 LSB = 10 ns <br />
 Valid range: -1024 to 1023 <br />
. <br /></td></tr>
<tr class="separator:a69a84f963e78b6e3ccd8608cea625d78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd208ee55d046153623178a682a1651c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abd208ee55d046153623178a682a1651c"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#abd208ee55d046153623178a682a1651c">rxLoChainTurnOffTime</a></td></tr>
<tr class="memdesc:abd208ee55d046153623178a682a1651c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time to wait after ramp end before turning off RX LO chain. <br />
 1 LSB = 10 ns <br />
 Valid range: -1024 to 1023 <br />
. <br /></td></tr>
<tr class="separator:abd208ee55d046153623178a682a1651c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a2e21b402188f2467751cc9341e688e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a2e21b402188f2467751cc9341e688e"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#a8a2e21b402188f2467751cc9341e688e">txLoChainTurnOffTime</a></td></tr>
<tr class="memdesc:a8a2e21b402188f2467751cc9341e688e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time to wait after ramp end before turning off TX LO chain. <br />
 1 LSB = 10 ns <br />
 Valid range: -1024 to 1023 <br />
. <br /></td></tr>
<tr class="separator:a8a2e21b402188f2467751cc9341e688e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab375e87e48b72fffd12e646e98d5cc2f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab375e87e48b72fffd12e646e98d5cc2f"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#ab375e87e48b72fffd12e646e98d5cc2f">rxLoChainTurnOnTime</a></td></tr>
<tr class="memdesc:ab375e87e48b72fffd12e646e98d5cc2f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time to wait after ramp end before turning on RX LO chain. <br />
 1 LSB = 10 ns <br />
 Valid range: -1024 to 1023 <br />
. <br /></td></tr>
<tr class="separator:ab375e87e48b72fffd12e646e98d5cc2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace35b1cc24b571089b890ef05746b239"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace35b1cc24b571089b890ef05746b239"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#ace35b1cc24b571089b890ef05746b239">txLoChainTurnOnTime</a></td></tr>
<tr class="memdesc:ace35b1cc24b571089b890ef05746b239"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time to wait after ramp end before turning on TX LO chain. <br />
 1 LSB = 10 ns <br />
 Valid range: -1024 to 1023 <br />
. <br /></td></tr>
<tr class="separator:ace35b1cc24b571089b890ef05746b239"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f0c1c6fa6cb1214cc3a0788b6b3136f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4f0c1c6fa6cb1214cc3a0788b6b3136f"></a>
rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#a4f0c1c6fa6cb1214cc3a0788b6b3136f">reserved0</a></td></tr>
<tr class="memdesc:a4f0c1c6fa6cb1214cc3a0788b6b3136f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a4f0c1c6fa6cb1214cc3a0788b6b3136f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d3cbf604b757425df273775c43d1956"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9d3cbf604b757425df273775c43d1956"></a>
rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html#a9d3cbf604b757425df273775c43d1956">reserved1</a></td></tr>
<tr class="memdesc:a9d3cbf604b757425df273775c43d1956"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a9d3cbf604b757425df273775c43d1956"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Inter Chirp block control configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
